/*
 * Copyright (c) 2012 Imre Fazekas.
 *  All rights reserved.
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice, this
 *  list of conditions and the following disclaimer.
 *
 *  Redistributions in binary form must reproduce the above copyright notice,
 *  this list of conditions and the following disclaimer in the documentation
 *  and/or other materials provided with the distribution.
 *  Neither the name of the Brillien nor the names of its
 *  terms and concepts may be used to endorse or promote products derived from this
 *  software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 *  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 *  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 *  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 *  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

package com.vii.brillien.ignition.jmx;

import javax.management.MalformedObjectNameException;
import javax.management.ObjectName;

/**
 * Naming statics for MXBeans
 */
public class BeanStatics {
    /**
     * Name of the ThreadMXBean
     */
    public static ObjectName    THREAD_BEAN_NAME;

    /**
     * Name of the MemoryMXBean
     */
    public static ObjectName    MEMORY_BEAN_NAME;

    /**
     * Name of the RuntimeMXBean
     */
    public static ObjectName    RUNTIME_BEAN_NAME;

    /**
     * Name of the ClassLoadingMXBean
     */
    public static ObjectName    CLASSLOADING_BEAN_NAME;

    /**
     * Name of the LiaisonMXBean
     */
    public static ObjectName    LIAISON_BEAN_NAME;

    /**
     * Name of the ClassLoadingMXBean
     */
    public static ObjectName    OPERATING_SYSTEM_BEAN_NAME;

    /**
     * Initializer method for ObjectName instances
     */
    public static void init(){
        try {
            THREAD_BEAN_NAME = new ObjectName("java.lang:type=Threading");
            MEMORY_BEAN_NAME = new ObjectName("java.lang:type=Memory");
            RUNTIME_BEAN_NAME = new ObjectName("java.lang:type=Runtime");
            CLASSLOADING_BEAN_NAME = new ObjectName("java.lang:type=ClassLoading");
            OPERATING_SYSTEM_BEAN_NAME = new ObjectName("java.lang:type=OperatingSystem");
            LIAISON_BEAN_NAME = new ObjectName("com.vii.brillien.core.services.server.management:type=Liaison");
        } catch (MalformedObjectNameException e) {
            e.printStackTrace(); 
        }
    }

}
